Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.solver
Class DefaultSolverScope

    java.lang.Object
      org.drools.planner.core.solver.DefaultSolverScope

    public class DefaultSolverScope

extends Object

Field Summary
`protected Score` | `bestScore`
`protected Solution` | `bestSolution`
`protected org.slf4j.Logger` | `logger`
`protected boolean` | `restartSolver`
`protected DefaultSolutionDirector` | `solutionDirector`
`protected Score` | `startingInitializedScore`
`protected long` | `startingSystemTimeMillis`
`protected Random` | `workingRandom`

Constructor Summary
`DefaultSolverScope()`

Method Summary
`void` | `assertWorkingScore(Score presumedScore)`
`Score` | `calculateScoreFromWorkingMemory()`
`long` | `calculateTimeMillisSpend()`
`Score` | `getBestScore()`
`Solution` | `getBestSolution()`
`long` | `getCalculateCount()`
`ScoreDefinition` | `getScoreDefinition()`
`SolutionDescriptor` | `getSolutionDescriptor()`
`DefaultSolutionDirector` | `getSolutionDirector()`
`Score` | `getStartingInitializedScore()`
`long` | `getStartingSystemTimeMillis()`
`Collection<Object>` | `getWorkingFacts()`
`org.drools.WorkingMemory` | `getWorkingMemory()`
`List<Object>` | `getWorkingPlanningEntityList()`
`Random` | `getWorkingRandom()`
`Solution` | `getWorkingSolution()`
`boolean` | `isRestartSolver()`
`boolean` | `isWorkingSolutionInitialized()`
`void` | `reset()`
`void` | `setBestScore(Score bestScore)`
`void` | `setBestSolution(Solution bestSolution)`
`void` | `setRestartSolver(boolean restartSolver)`
`void` | `setSolutionDirector(DefaultSolutionDirector solutionDirector)`
`void` | `setStartingInitializedScore(Score startingInitializedScore)`
`void` | `setStartingSystemTimeMillis(long startingSystemTimeMillis)`
`void` | `setWorkingRandom(Random workingRandom)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected final transient org.slf4j.Logger logger

### solutionDirector

    protected DefaultSolutionDirector solutionDirector

### restartSolver

    protected boolean restartSolver

### startingSystemTimeMillis

    protected long startingSystemTimeMillis

### workingRandom

    protected Random workingRandom

### startingInitializedScore

    protected Score startingInitializedScore

### bestSolution

    protected Solution bestSolution

### bestScore

    protected Score bestScore

Constructor Detail

### DefaultSolverScope

    public DefaultSolverScope()

Method Detail

### getSolutionDirector

    public DefaultSolutionDirector getSolutionDirector()

### setSolutionDirector

    public void setSolutionDirector(DefaultSolutionDirector solutionDirector)

### getSolutionDescriptor

    public SolutionDescriptor getSolutionDescriptor()

### getScoreDefinition

    public ScoreDefinition getScoreDefinition()

### getStartingSystemTimeMillis

    public long getStartingSystemTimeMillis()

### setStartingSystemTimeMillis

    public void setStartingSystemTimeMillis(long startingSystemTimeMillis)

### isRestartSolver

    public boolean isRestartSolver()

### setRestartSolver

    public void setRestartSolver(boolean restartSolver)

### getWorkingSolution

    public Solution getWorkingSolution()

### getWorkingFacts

    public Collection<Object> getWorkingFacts()

### getWorkingPlanningEntityList

    public List<Object> getWorkingPlanningEntityList()

### isWorkingSolutionInitialized

    public boolean isWorkingSolutionInitialized()

### getWorkingMemory

    public org.drools.WorkingMemory getWorkingMemory()

### calculateScoreFromWorkingMemory

    public Score calculateScoreFromWorkingMemory()

### assertWorkingScore

    public void assertWorkingScore(Score presumedScore)

### getWorkingRandom

    public Random getWorkingRandom()

### setWorkingRandom

    public void setWorkingRandom(Random workingRandom)

### getStartingInitializedScore

    public Score getStartingInitializedScore()

### setStartingInitializedScore

    public void setStartingInitializedScore(Score startingInitializedScore)

### getCalculateCount

    public long getCalculateCount()

### getBestSolution

    public Solution getBestSolution()

### setBestSolution

    public void setBestSolution(Solution bestSolution)

### getBestScore

    public Score getBestScore()

### setBestScore

    public void setBestScore(Score bestScore)

### reset

    public void reset()

### calculateTimeMillisSpend

    public long calculateTimeMillisSpend()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.